## forgejo 10.0.3.1.g33e9209

=== debian/changelog ===
forgejo (10.0.3.1.g33e9209-1~eob120+1) bookworm-eobuilder; urgency=low

  * (33e920) ci: add def keyword to comply to jenkins warning (#108148)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 19 Aug 2025 15:16:14 +0200

forgejo (10.0.3) bookworm-eobuilder; urgency=low

  * (8ada58) typo, url is not a list...
  * (501d81) remove -0 suffix in download URL

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Jan 2025 19:07:56 +0100

forgejo (10.0.0) bookworm-eobuilder; urgency=low

  * (af1c8a) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (517612) update leftover references to gitea (#72864)
  * (e84c10) adapt for forgejo (#72864)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 18 Jul 2024 13:37:58 +0200

forgejo (1.21.6) bookworm-eobuilder; urgency=low

  * (431509) jenkinsfile: build for debian 12 bookworm
  * (6ed363) misc: add pre commit hook to force single quotes (#79788)
  * (d40fe9) Added link to jenkins build trigger
  * (5546aa) download from dl.gitea.com instead of github.com (#76046)
  * (4c07e5) Add basic documentation
  * (442c39) fix getting vesion number from command line
  * (621545) build: use $(shell ...) to get version
  * (fbdc88) build: get version from VERSION file if not run from git clone
  * (b25e99) ci: add Jenkinsfile
  * (351957) add script/files to download binary and create .deb
  * (a324e6) misc: add pre-commit configuration
  * (920790) ignore gitea binary
  * (81171e) init with COPYING file

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 01 Feb 2024 12:08:37 +0100

## forgejo 10.0.3.2.g5d967c3

=== Makefile ===
.PHONY: clean name version fullname dist dist-bzip2

NAME=forgejo
VERSION=$(shell (test -d .git && git describe || cat VERSION) | sed 's/^v//; s/-/./g')

prefix = /usr

forgejo:
	python3 download.py $(VERSION)
	chmod +x forgejo

all: forgejo

install: forgejo

clean:
	rm -f forgejo

DIST_FILES = \
	COPYING \
	Makefile \
	download.py

dist: clean
	-mkdir sdist
	rm -rf sdist/$(NAME)-$(VERSION)
	mkdir -p sdist/$(NAME)-$(VERSION)
	echo $(VERSION) > sdist/$(NAME)-$(VERSION)/VERSION
	for i in $(DIST_FILES); do \
		cp -R "$$i" sdist/$(NAME)-$(VERSION); \
	done

install: forgejo
	mkdir -p $(DESTDIR)$(prefix)/bin/
	cp -r forgejo $(DESTDIR)$(prefix)/bin/

dist-bzip2: dist
	-mkdir sdist
	cd sdist && tar cfj ../sdist/$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

version:
	@(echo $(VERSION))

name:
	@(echo $(NAME))

fullname:
	@(echo $(NAME)-$(VERSION))

=== debian/changelog ===
forgejo (10.0.3.2.g5d967c3-1~eob130+1) trixie-eobuilder; urgency=low

  * (5d967c) ci: also build package for trixie (#111016)
  * (33e920) ci: add def keyword to comply to jenkins warning (#108148)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:19:53 +0200

forgejo (10.0.3) trixie-eobuilder; urgency=low

  * (8ada58) typo, url is not a list...
  * (501d81) remove -0 suffix in download URL
  * (af1c8a) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (517612) update leftover references to gitea (#72864)
  * (e84c10) adapt for forgejo (#72864)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Jan 2025 19:07:56 +0100

forgejo (1.21.6) trixie-eobuilder; urgency=low

  * (431509) jenkinsfile: build for debian 12 bookworm
  * (6ed363) misc: add pre commit hook to force single quotes (#79788)
  * (d40fe9) Added link to jenkins build trigger
  * (5546aa) download from dl.gitea.com instead of github.com (#76046)
  * (4c07e5) Add basic documentation
  * (442c39) fix getting vesion number from command line
  * (621545) build: use $(shell ...) to get version
  * (fbdc88) build: get version from VERSION file if not run from git clone
  * (b25e99) ci: add Jenkinsfile
  * (351957) add script/files to download binary and create .deb
  * (a324e6) misc: add pre-commit configuration
  * (920790) ignore gitea binary
  * (81171e) init with COPYING file

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 01 Feb 2024 12:08:37 +0100

=== debian/control ===
Source: forgejo
Maintainer: info@entrouvert.com
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 12), python3-all, python3-requests, xz-utils
Standards-Version: 3.9.6

Package: forgejo
Architecture: amd64
Description: Self-hosted lightweight software forge
